petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscSFType

String with the name of a PetscSF method or the creation function with an optional dynamic library name, for example http://www.mcs.anl.gov/petsc/lib.so:mysfcreate()

### Synopsis

    typedef const char *PetscSFType;
    #define PETSCSFBASIC  "basic"
    #define PETSCSFWINDOW "window"

Notes: The two approaches provided are

        PETSCSFBASIC which uses MPI 1 message passing to perform the communication and

        PETSCSFWINDOW which uses MPI 2 one-sided operations to perform the communication, this may be more efficient,

                      but may not be available for all MPI distributions. In particular OpenMPI has bugs in its one-sided

                      operations that prevent its use.

### See Also

PetscSFSetType(), PetscSF

Level:beginner
Location:src/vec/is/sf/../../../../include/petscsf.h
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages